clear all
close all
clc
% %IIR
fvz=500;
% signaly=load('signaly_f_ADP9_2.mat');
% signaly=signaly.signaly_f_ADP9_2;
 signaly=load('signaly_zkraceno');
 signaly=signaly.signaly_zkraceno;
for i=1:1
x=signaly(i,:);
sig=signaly(i,:);
x = x - mean(x);
sig=sig- mean(sig);
fvz=500;
n = 1:1:length(x); 
A=50;
N=5000;
brum =A*cos(2*pi*50*n/fvz);
x=x+brum;
x=x-mean(x);
f=50;
fvz=500;
[B,A] = butter(2,[(49.5/(fvz/2)) (50.5/(fvz/2))], 'stop');
y = filter(B,A, x);
figure(2);
zplane(B,A);
title('jednotková kružnice');
figure(3)
subplot(211)
plot(x)
title('Vstupní signál');
subplot(212)
plot(y)
title('Výstupní signál IIR');
figure(4)
imp=impz(A,B,0:500);
stem(imp)
title('impulzní charakteristika')
figure(5)
freqz(B,A,N,'whole',500)
title('Amplitudová a fázová charakteristika')
 zac=500;
 kon=4000;
 figure(8)
 subplot(2,1,1)
 plot(y(1,zac:kon))
 hold on 
 plot(sig(1,zac:kon))
 ylabel('U[\muV]')
 title('fitrovaný a původní signál')
 xlabel('n[-]')
rozdil=[];
for d=zac:kon
    rozdil=[rozdil y(1,d)-sig(1,d)];
end
subplot(2,1,2)
 plot(rozdil)
 ylabel('U[\muV]')
 title('rozdílový signál')
 xlabel('n[-]')
end


